Ogre::D3D9Device::RenderWindowResources Struct Reference

`#include <OgreD3D9Device.h>`

List of all members.

## Public Attributes

IDirect3DSwapChain9 * | swapChain
uint | adapterOrdinalInGroupIndex
uint | presentParametersIndex
IDirect3DSurface9 * | backBuffer
IDirect3DSurface9 * | depthBuffer
D3DPRESENT_PARAMETERS | presentParameters
bool | acquired

## Detailed Description

Definition at line 109 of file OgreD3D9Device.h.

## Member Data Documentation

bool Ogre::D3D9Device::RenderWindowResources::acquired

Definition at line 117 of file OgreD3D9Device.h.

uint Ogre::D3D9Device::RenderWindowResources::adapterOrdinalInGroupIndex

Definition at line 112 of file OgreD3D9Device.h.

IDirect3DSurface9* Ogre::D3D9Device::RenderWindowResources::backBuffer

Definition at line 114 of file OgreD3D9Device.h.

IDirect3DSurface9* Ogre::D3D9Device::RenderWindowResources::depthBuffer

Definition at line 115 of file OgreD3D9Device.h.

D3DPRESENT_PARAMETERS Ogre::D3D9Device::RenderWindowResources::presentParameters

Definition at line 116 of file OgreD3D9Device.h.

uint Ogre::D3D9Device::RenderWindowResources::presentParametersIndex

Definition at line 113 of file OgreD3D9Device.h.

IDirect3DSwapChain9* Ogre::D3D9Device::RenderWindowResources::swapChain

Definition at line 111 of file OgreD3D9Device.h.

The documentation for this struct was generated from the following file:

- OgreD3D9Device.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:47